DataCubeControllerRemoveSchedule Method |
DELETE /DataCube/Schedule/{id}
Removes the schedule from the specified data cube.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpDeleteAttribute]
[ActionNameAttribute("Schedule")]
public IActionResult RemoveSchedule(
Guid id,
Guid? tenantId = null,
Guid? sessionId = null
)<HttpDeleteAttribute>
<ActionNameAttribute("Schedule")>
Public Function RemoveSchedule (
id As Guid,
Optional tenantId As Guid? = Nothing,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpDeleteAttribute]
[ActionNameAttribute(L"Schedule")]
IActionResult^ RemoveSchedule(
Guid id,
Nullable<Guid> tenantId = nullptr,
Nullable<Guid> sessionId = nullptr
)
[<HttpDeleteAttribute>]
[<ActionNameAttribute("Schedule")>]
member RemoveSchedule :
id : Guid *
?tenantId : Nullable<Guid> *
?sessionId : Nullable<Guid>
(* Defaults:
let _tenantId = defaultArg tenantId null
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the data cube. - tenantId (Optional)
- Type: SystemNullableGuid
The tenant ID, if the schedule is for a tenant. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
A status code indicating success or failure.
Remarks
If tenantId is provided, the tenant specific schedule will be removed for the data cube, and the
associated tenant job will fall back to the parent job's schedule.
See Also